Bug 257215 - math/wxmaxima: update to 21.05.2
Summary: math/wxmaxima: update to 21.05.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://github.com/wxMaxima-developer...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-07-15 23:27 UTC by Philipp Ost
Modified: 2021-07-23 16:42 UTC (History)
1 user (show)

See Also:


Attachments
Update math/wxmaxima to 21.05.2 (9.60 KB, patch)
2021-07-15 23:27 UTC, Philipp Ost
no flags Details | Diff
Update math/wxmaxima to 21.05.2 (10.31 KB, patch)
2021-07-22 16:27 UTC, Philipp Ost
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Ost 2021-07-15 23:27:29 UTC
Created attachment 226492 [details]
Update math/wxmaxima to 21.05.2

Update math/wxmaxima to version 21.05.2 (https://github.com/wxMaxima-developers/wxmaxima/releases/tag/Version-21.05.2).

Changes:
- remove PORTDATA
- add DOCS option
- delete the patch for src/Version.h.cin and remove the workaround introduced in commit dbb0b7482f87c180be139b72925149eb7c4419cb by pkubaj@

poudriere testport runs fine for 12.2-Release i386, but fails for 12.2-Release amd64 (dependencies fail to build). It builds and installs flawlessly on my 12.2-Stable amd64 machine.
Comment 1 Fernando Apesteguía freebsd_committer 2021-07-22 10:15:20 UTC
(In reply to Philipp Ost from comment #0)
Is the removal of the patch, right? It should remove extra-patch-src_Version.h.cin instead of patch-src_Version.h.cin.

Cheers.
Comment 2 Philipp Ost 2021-07-22 16:27:12 UTC
Created attachment 226618 [details]
Update math/wxmaxima to 21.05.2

Yes, the file to be removed is extra-patch-src_Version.h.cin. I wrote the patch before https://cgit.freebsd.org/ports/commit/?id=dcf0c9f61cdc9df37f0eb902fb6bb9288fd80d17 was committed.

I have updated the patch. The complete set of changes is as follows:
- remove PORTDATA
- add DOCS option
- delete files/extra-patch-src_Version.h.cin
- update files/extra-patch-CMakeLists.txt
- add files/patch-src_ww898_cp__utfw.hpp (this one was missing in my original patch...)
- update distinfo pkg-plist
Comment 3 Fernando Apesteguía freebsd_committer 2021-07-22 17:46:02 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.
Comment 4 Fernando Apesteguía freebsd_committer 2021-07-23 16:41:54 UTC
Committed,

Thanks!
Comment 5 commit-hook freebsd_committer 2021-07-23 16:42:02 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=1ff8a9a1763efe0f3f5f77f733b3b2f97a086051

commit 1ff8a9a1763efe0f3f5f77f733b3b2f97a086051
Author:     Fernando Apesteguía <fernape@FreeBSD.org>
AuthorDate: 2021-07-22 17:44:44 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-07-23 16:35:50 +0000

    math/wxmaxima: update to 21.05.2

    ChangeLog: https://github.com/wxMaxima-developers/wxmaxima/releases

    PR:     257215
    Reported by:    bsd@philippost.de

 math/wxmaxima/Makefile                             |  14 +--
 math/wxmaxima/distinfo                             |   6 +-
 math/wxmaxima/files/extra-patch-CMakeLists.txt     |  12 +--
 .../files/extra-patch-src_Version.h.cin (gone)     |  11 --
 .../files/patch-src_ww898_cp__utfw.hpp (new)       |  11 ++
 math/wxmaxima/pkg-plist                            | 114 ++++++++++++++++-----
 6 files changed, 110 insertions(+), 58 deletions(-)